com.microfocus.awm.meta.interfaces

## Interface ToolDescriptor

- All Superinterfaces:
    AWMIdentifiableObject, AWMObject, DynamicObject, org.eclipse.emf.ecore.EObject, IFunctionPackageDefinable, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    ToolDescriptorImpl

      public interface ToolDescriptor
      extends DynamicObject, AWMIdentifiableObject

  An AWM tool descriptor describes how a tool provided by a function package is called at run time.

  Tool descriptors can only be referenced by action descriptors where they are defined in a fixed sequence.

  The return code of a tool is checked against the maximum allowed return code defined under Application Options. If the return is high this prevents the execution of all following tools defined in the action descriptor.

  Output parameters of tools can be used as input parameters for subsequent tools.

  The following features are supported:

  - `Input Parm`
  - `Output Parm`
  - `Specific Attribute`
  - `Validate Action`
  - `ISAISPF Tool`
  - `ISA Plug In`
  - `ISAISPF Panel`
  - `ISAISPF Panel Command`
  - `After Job Action`
  - `Help Text`
  - `In Parm Separator`
  - `Integrated Tool`
  - `Out Parm Separator`
  - `Refresh Resource`
  - `Resource Processing`
  - `Run As Job`
  - `Tool Type`
  See Also:
    `TaurusPackage.getToolDescriptor()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ToolDescriptor` | `clone()` Clones this tool descriptor.
    `ActionDescriptor` | `getAfterJobAction()` Returns the value of the 'After Job Action' reference.
    `java.util.List<RToolInParameter>` | `getFileInputParms()` Gets the input parameters of the tool descriptor which have the type 'File'.
    `java.util.List<RToolOutParameter>` | `getFileOutputParms()` Gets the output parameters of the tool descriptor which have the type 'File'.
    `java.lang.String` | `getHelpText()` Returns the value of the 'Help Text' attribute.
    `java.lang.String` | `getInParmSeparator()` Returns the value of the 'In Parm Separator' attribute.
    `java.lang.String` | `getInParmSeparatorWithoutQuotes()` Deprecated. Parameter separators are no longer general tool descriptor attributes, but should be defined by specific function package tools. Tool executors should use `DynamicObject.getDynamicValue(String)` to obtain the attribute. For removing potential surrounding quotes, use `TaurusMetaModelUtilities.trimAndRemoveQuotes(String)`.
    `org.eclipse.emf.common.util.EList<RToolInParameter>` | `getInputParm()` Returns the value of the 'Input Parm' containment reference list.
    `EIntegratedTools` | `getIntegratedTool()` Returns the value of the 'Integrated Tool' attribute.
    `ISAISPFPanel` | `getISAISPFPanel()` Returns the value of the 'ISAISPF Panel' containment reference.
    `ISAPanelCommand` | `getISAISPFPanelCommand()` Returns the value of the 'ISAISPF Panel Command' containment reference.
    `ISAISPFTool` | `getISAISPFTool()` Returns the value of the 'ISAISPF Tool' containment reference.
    `ISAPlugIn` | `getISAPlugIn()` Returns the value of the 'ISA Plug In' containment reference.
    `java.lang.String` | `getOutParmSeparator()` Returns the value of the 'Out Parm Separator' attribute.
    `java.lang.String` | `getOutParmSeparatorWithoutQuotes()` Deprecated. Parameter separators are no longer general tool descriptor attributes, but should be defined by specific function package tools. Tool executors should use `DynamicObject.getDynamicValue(String)` to obtain the attribute. For removing potential surrounding quotes, use `TaurusMetaModelUtilities.trimAndRemoveQuotes(String)`.
    `org.eclipse.emf.common.util.EList<RToolOutParameter>` | `getOutputParm()` Returns the value of the 'Output Parm' containment reference list.
    `EResourceProcessingTypes` | `getResourceProcessing()` Returns the value of the 'Resource Processing' attribute.
    `ERunAsJobTypes` | `getRunAsJob()` Returns the value of the 'Run As Job' attribute.
    `org.eclipse.emf.common.util.EList<SpecificAttribute>` | `getSpecificAttribute()` Returns the value of the 'Specific Attribute' containment reference list.
    `java.util.List<RToolInParameter>` | `getStringInputParms()` Gets the input parameters of the tool descriptor which have the type 'String'.
    `java.util.List<RToolOutParameter>` | `getStringOutputParms()` Gets the output parameters of the tool descriptor which have the type 'String'.
    `java.lang.String` | `getToolType()` Returns the value of the 'Tool Type' attribute.
    `ToolTypeExtension` | `getToolTypeExtension()` Gets the `ToolTypeExtension` of the tool descriptor.
    `org.eclipse.emf.common.util.EList<RToolValidateAction>` | `getValidateAction()` Returns the value of the 'Validate Action' containment reference list.
    `boolean` | `isRefreshResource()` Returns the value of the 'Refresh Resource' attribute.
    `boolean` | `isSetInParmSeparator()` Returns whether the value of the '`In Parm Separator`' attribute is set.
    `boolean` | `isSetIntegratedTool()` Returns whether the value of the '`Integrated Tool`' attribute is set.
    `boolean` | `isSetOutParmSeparator()` Returns whether the value of the '`Out Parm Separator`' attribute is set.
    `boolean` | `isSetRefreshResource()` Returns whether the value of the '`Refresh Resource`' attribute is set.
    `boolean` | `isSetResourceProcessing()` Returns whether the value of the '`Resource Processing`' attribute is set.
    `boolean` | `isSetRunAsJob()` Returns whether the value of the '`Run As Job`' attribute is set.
    `void` | `setAfterJobAction(ActionDescriptor value)` Sets the value of the '`After Job Action`' reference.
    `void` | `setHelpText(java.lang.String value)` Sets the value of the '`Help Text`' attribute.
    `void` | `setInParmSeparator(java.lang.String value)` Sets the value of the '`In Parm Separator`' attribute.
    `void` | `setIntegratedTool(EIntegratedTools value)` Sets the value of the '`Integrated Tool`' attribute.
    `void` | `setISAISPFPanel(ISAISPFPanel value)` Sets the value of the '`ISAISPF Panel`' containment reference.
    `void` | `setISAISPFPanelCommand(ISAPanelCommand value)` Sets the value of the '`ISAISPF Panel Command`' containment reference.
    `void` | `setISAISPFTool(ISAISPFTool value)` Sets the value of the '`ISAISPF Tool`' containment reference.
    `void` | `setISAPlugIn(ISAPlugIn value)` Sets the value of the '`ISA Plug In`' containment reference.
    `void` | `setOutParmSeparator(java.lang.String value)` Sets the value of the '`Out Parm Separator`' attribute.
    `void` | `setRefreshResource(boolean value)` Sets the value of the '`Refresh Resource`' attribute.
    `void` | `setResourceProcessing(EResourceProcessingTypes value)` Sets the value of the '`Resource Processing`' attribute.
    `void` | `setRunAsJob(ERunAsJobTypes value)` Sets the value of the '`Run As Job`' attribute.
    `void` | `setToolType(java.lang.String value)` Sets the value of the '`Tool Type`' attribute.
    `void` | `unsetInParmSeparator()` Unsets the value of the '`In Parm Separator`' attribute.
    `void` | `unsetIntegratedTool()` Unsets the value of the '`Integrated Tool`' attribute.
    `void` | `unsetOutParmSeparator()` Unsets the value of the '`Out Parm Separator`' attribute.
    `void` | `unsetRefreshResource()` Unsets the value of the '`Refresh Resource`' attribute.
    `void` | `unsetResourceProcessing()` Unsets the value of the '`Resource Processing`' attribute.
    `void` | `unsetRunAsJob()` Unsets the value of the '`Run As Job`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.DynamicObject

      `getComplexAttributes, getDynamicAttributes, getDynamicValue, setDynamicValue`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMIdentifiableObject

      `getID, getModelEditorGroup, isSetModelEditorGroup, setID, setModelEditorGroup, unsetModelEditorGroup`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.IFunctionPackageDefinable

      `getExtensionID, setExtensionID`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getInputParm

          org.eclipse.emf.common.util.EList<RToolInParameter> getInputParm()

      Returns the value of the 'Input Parm' containment reference list. The list contents are of type `RToolInParameter`. Reference to an input parameter of the tool.
      Returns:
        the value of the 'Input Parm' containment reference list.
      See Also:
        `TaurusPackage.getToolDescriptor_InputParm()`

    - #### getOutputParm

          org.eclipse.emf.common.util.EList<RToolOutParameter> getOutputParm()

      Returns the value of the 'Output Parm' containment reference list. The list contents are of type `RToolOutParameter`. Reference to an output parameter of the tool.
      Returns:
        the value of the 'Output Parm' containment reference list.
      See Also:
        `TaurusPackage.getToolDescriptor_OutputParm()`

    - #### isRefreshResource

          boolean isRefreshResource()

      Returns the value of the 'Refresh Resource' attribute. The default value is `"false"`.
      Indicates whether the element should be updated after successful execution of the tool. This means that the GetAllProperties action of the element is always called after a successful execution of the tool.
      Returns:
        the value of the 'Refresh Resource' attribute.
      See Also:
        `isSetRefreshResource()`, `unsetRefreshResource()`, `setRefreshResource(boolean)`, `TaurusPackage.getToolDescriptor_RefreshResource()`

    - #### setRefreshResource

          void setRefreshResource(boolean value)

      Sets the value of the '`Refresh Resource`' attribute.
      Parameters:
        `value` - the new value of the 'Refresh Resource' attribute.
      See Also:
        `isSetRefreshResource()`, `unsetRefreshResource()`, `isRefreshResource()`

    - #### unsetRefreshResource

          void unsetRefreshResource()

      Unsets the value of the '`Refresh Resource`' attribute.
      See Also:
        `isSetRefreshResource()`, `isRefreshResource()`, `setRefreshResource(boolean)`

    - #### isSetRefreshResource

          boolean isSetRefreshResource()

      Returns whether the value of the '`Refresh Resource`' attribute is set.
      Returns:
        whether the value of the 'Refresh Resource' attribute is set.
      See Also:
        `unsetRefreshResource()`, `isRefreshResource()`, `setRefreshResource(boolean)`

    - #### getResourceProcessing

          EResourceProcessingTypes getResourceProcessing()

      Returns the value of the 'Resource Processing' attribute. The literals are from the enumeration `EResourceProcessingTypes`.
      Defines the operations that the tool carries out with elements, so that the AWM can react to this.

      Valid values are:

      - COPY
      - DELETE
      - INSERT
      - INSERT-CHILD
      - MOVE
      - READ
      - REFRESH
      - TOOL-DEFINED
      - UPDATE
      Returns:
        the value of the 'Resource Processing' attribute.
      See Also:
        `EResourceProcessingTypes`, `isSetResourceProcessing()`, `unsetResourceProcessing()`, `setResourceProcessing(EResourceProcessingTypes)`, `TaurusPackage.getToolDescriptor_ResourceProcessing()`

    - #### setResourceProcessing

          void setResourceProcessing(EResourceProcessingTypes value)

      Sets the value of the '`Resource Processing`' attribute.
      Parameters:
        `value` - the new value of the 'Resource Processing' attribute.
      See Also:
        `EResourceProcessingTypes`, `isSetResourceProcessing()`, `unsetResourceProcessing()`, `getResourceProcessing()`

    - #### unsetResourceProcessing

          void unsetResourceProcessing()

      Unsets the value of the '`Resource Processing`' attribute.
      See Also:
        `isSetResourceProcessing()`, `getResourceProcessing()`, `setResourceProcessing(EResourceProcessingTypes)`

    - #### isSetResourceProcessing

          boolean isSetResourceProcessing()

      Returns whether the value of the '`Resource Processing`' attribute is set.
      Returns:
        whether the value of the 'Resource Processing' attribute is set.
      See Also:
        `unsetResourceProcessing()`, `getResourceProcessing()`, `setResourceProcessing(EResourceProcessingTypes)`

    - #### getToolType

          java.lang.String getToolType()

      Returns the value of the 'Tool Type' attribute.
      The tye of the tool. (deprecated)
      Returns:
        the value of the 'Tool Type' attribute.
      See Also:
        `setToolType(String)`, `TaurusPackage.getToolDescriptor_ToolType()`

    - #### setToolType

          void setToolType(java.lang.String value)

      Sets the value of the '`Tool Type`' attribute.
      Parameters:
        `value` - the new value of the 'Tool Type' attribute.
      See Also:
        `getToolType()`

    - #### getSpecificAttribute

          org.eclipse.emf.common.util.EList<SpecificAttribute> getSpecificAttribute()

      Returns the value of the 'Specific Attribute' containment reference list. The list contents are of type `SpecificAttribute`. Reference to a specific attribute.
      Returns:
        the value of the 'Specific Attribute' containment reference list.
      See Also:
        `TaurusPackage.getToolDescriptor_SpecificAttribute()`

    - #### getValidateAction

          org.eclipse.emf.common.util.EList<RToolValidateAction> getValidateAction()

      Returns the value of the 'Validate Action' containment reference list. The list contents are of type `RToolValidateAction`. Reference to a validate action for the tool.
      Returns:
        the value of the 'Validate Action' containment reference list.
      See Also:
        `TaurusPackage.getToolDescriptor_ValidateAction()`

    - #### getISAISPFTool

          ISAISPFTool getISAISPFTool()

      Returns the value of the 'ISAISPF Tool' containment reference. Reference classifying the tool as an ISPF tool. (deprecated)
      Returns:
        the value of the 'ISAISPF Tool' containment reference.
      See Also:
        `setISAISPFTool(ISAISPFTool)`, `TaurusPackage.getToolDescriptor_ISAISPFTool()`

    - #### setISAISPFTool

          void setISAISPFTool(ISAISPFTool value)

      Sets the value of the '`ISAISPF Tool`' containment reference.
      Parameters:
        `value` - the new value of the 'ISAISPF Tool' containment reference.
      See Also:
        `getISAISPFTool()`

    - #### getISAPlugIn

          ISAPlugIn getISAPlugIn()

      Returns the value of the 'ISA Plug In' containment reference. Reference classifying the tool as a plug-in. (deprecated)
      Returns:
        the value of the 'ISA Plug In' containment reference.
      See Also:
        `setISAPlugIn(ISAPlugIn)`, `TaurusPackage.getToolDescriptor_ISAPlugIn()`

    - #### setISAPlugIn

          void setISAPlugIn(ISAPlugIn value)

      Sets the value of the '`ISA Plug In`' containment reference.
      Parameters:
        `value` - the new value of the 'ISA Plug In' containment reference.
      See Also:
        `getISAPlugIn()`

    - #### getISAISPFPanel

          ISAISPFPanel getISAISPFPanel()

      Returns the value of the 'ISAISPF Panel' containment reference. Reference classifying the tool as an ISPF panel. (deprecated)
      Returns:
        the value of the 'ISAISPF Panel' containment reference.
      See Also:
        `setISAISPFPanel(ISAISPFPanel)`, `TaurusPackage.getToolDescriptor_ISAISPFPanel()`

    - #### setISAISPFPanel

          void setISAISPFPanel(ISAISPFPanel value)

      Sets the value of the '`ISAISPF Panel`' containment reference.
      Parameters:
        `value` - the new value of the 'ISAISPF Panel' containment reference.
      See Also:
        `getISAISPFPanel()`

    - #### getISAISPFPanelCommand

          ISAPanelCommand getISAISPFPanelCommand()

      Returns the value of the 'ISAISPF Panel Command' containment reference. Reference classifying the tool as a line command of an ISPF panel. (deprecated)
      Returns:
        the value of the 'ISAISPF Panel Command' containment reference.
      See Also:
        `setISAISPFPanelCommand(ISAPanelCommand)`, `TaurusPackage.getToolDescriptor_ISAISPFPanelCommand()`

    - #### setISAISPFPanelCommand

          void setISAISPFPanelCommand(ISAPanelCommand value)

      Sets the value of the '`ISAISPF Panel Command`' containment reference.
      Parameters:
        `value` - the new value of the 'ISAISPF Panel Command' containment reference.
      See Also:
        `getISAISPFPanelCommand()`

    - #### getAfterJobAction

          ActionDescriptor getAfterJobAction()

      Returns the value of the 'After Job Action' reference. Only enabled when "Run As Job" is set to "Tool Job" or "Model Job".

      References a modeled action which can be executed when the corresponding job has ended. The action is added to the context menu of the job in the Jobs view.

      Returns:
        the value of the 'After Job Action' reference.
      See Also:
        `setAfterJobAction(ActionDescriptor)`, `TaurusPackage.getToolDescriptor_AfterJobAction()`

    - #### setAfterJobAction

          void setAfterJobAction(ActionDescriptor value)

      Sets the value of the '`After Job Action`' reference.
      Parameters:
        `value` - the new value of the 'After Job Action' reference.
      See Also:
        `getAfterJobAction()`

    - #### getHelpText

          java.lang.String getHelpText()

      Returns the value of the 'Help Text' attribute.
      Help text associated with the tool. If this help text is defined for a UI tool, the help text appears when the question mark is clicked in the dialog box.
      Returns:
        the value of the 'Help Text' attribute.
      See Also:
        `setHelpText(String)`, `TaurusPackage.getToolDescriptor_HelpText()`

    - #### setHelpText

          void setHelpText(java.lang.String value)

      Sets the value of the '`Help Text`' attribute.
      Parameters:
        `value` - the new value of the 'Help Text' attribute.
      See Also:
        `getHelpText()`

    - #### getInParmSeparator

          java.lang.String getInParmSeparator()

      Returns the value of the 'In Parm Separator' attribute. The default value is `"\" \""`.
      Separator used to separate input parameter values for command based tools. Can be entered with double quotes, which are removed at run time.
      Returns:
        the value of the 'In Parm Separator' attribute.
      See Also:
        `isSetInParmSeparator()`, `unsetInParmSeparator()`, `setInParmSeparator(String)`, `TaurusPackage.getToolDescriptor_InParmSeparator()`

    - #### setInParmSeparator

          void setInParmSeparator(java.lang.String value)

      Sets the value of the '`In Parm Separator`' attribute.
      Parameters:
        `value` - the new value of the 'In Parm Separator' attribute.
      See Also:
        `isSetInParmSeparator()`, `unsetInParmSeparator()`, `getInParmSeparator()`

    - #### unsetInParmSeparator

          void unsetInParmSeparator()

      Unsets the value of the '`In Parm Separator`' attribute.
      See Also:
        `isSetInParmSeparator()`, `getInParmSeparator()`, `setInParmSeparator(String)`

    - #### isSetInParmSeparator

          boolean isSetInParmSeparator()

      Returns whether the value of the '`In Parm Separator`' attribute is set.
      Returns:
        whether the value of the 'In Parm Separator' attribute is set.
      See Also:
        `unsetInParmSeparator()`, `getInParmSeparator()`, `setInParmSeparator(String)`

    - #### getIntegratedTool

          EIntegratedTools getIntegratedTool()

      Returns the value of the 'Integrated Tool' attribute. The default value is `"NONE"`. The literals are from the enumeration `EIntegratedTools`.
      Selection list of integrated AWM tools with a fix functionality. (deprecated)
      Returns:
        the value of the 'Integrated Tool' attribute.
      See Also:
        `EIntegratedTools`, `isSetIntegratedTool()`, `unsetIntegratedTool()`, `setIntegratedTool(EIntegratedTools)`, `TaurusPackage.getToolDescriptor_IntegratedTool()`

    - #### setIntegratedTool

          void setIntegratedTool(EIntegratedTools value)

      Sets the value of the '`Integrated Tool`' attribute.
      Parameters:
        `value` - the new value of the 'Integrated Tool' attribute.
      See Also:
        `EIntegratedTools`, `isSetIntegratedTool()`, `unsetIntegratedTool()`, `getIntegratedTool()`

    - #### unsetIntegratedTool

          void unsetIntegratedTool()

      Unsets the value of the '`Integrated Tool`' attribute.
      See Also:
        `isSetIntegratedTool()`, `getIntegratedTool()`, `setIntegratedTool(EIntegratedTools)`

    - #### isSetIntegratedTool

          boolean isSetIntegratedTool()

      Returns whether the value of the '`Integrated Tool`' attribute is set.
      Returns:
        whether the value of the 'Integrated Tool' attribute is set.
      See Also:
        `unsetIntegratedTool()`, `getIntegratedTool()`, `setIntegratedTool(EIntegratedTools)`

    - #### getOutParmSeparator

          java.lang.String getOutParmSeparator()

      Returns the value of the 'Out Parm Separator' attribute. The default value is `"\" \""`.
      Separator that parses returned output parameter values from command based tools. Can be entered with double quotes, which are removed at run time.
      Returns:
        the value of the 'Out Parm Separator' attribute.
      See Also:
        `isSetOutParmSeparator()`, `unsetOutParmSeparator()`, `setOutParmSeparator(String)`, `TaurusPackage.getToolDescriptor_OutParmSeparator()`

    - #### setOutParmSeparator

          void setOutParmSeparator(java.lang.String value)

      Sets the value of the '`Out Parm Separator`' attribute.
      Parameters:
        `value` - the new value of the 'Out Parm Separator' attribute.
      See Also:
        `isSetOutParmSeparator()`, `unsetOutParmSeparator()`, `getOutParmSeparator()`

    - #### unsetOutParmSeparator

          void unsetOutParmSeparator()

      Unsets the value of the '`Out Parm Separator`' attribute.
      See Also:
        `isSetOutParmSeparator()`, `getOutParmSeparator()`, `setOutParmSeparator(String)`

    - #### isSetOutParmSeparator

          boolean isSetOutParmSeparator()

      Returns whether the value of the '`Out Parm Separator`' attribute is set.
      Returns:
        whether the value of the 'Out Parm Separator' attribute is set.
      See Also:
        `unsetOutParmSeparator()`, `getOutParmSeparator()`, `setOutParmSeparator(String)`

    - #### getRunAsJob

          ERunAsJobTypes getRunAsJob()

      Returns the value of the 'Run As Job' attribute. The literals are from the enumeration `ERunAsJobTypes`.
      Determines whether the tool is executed online or as batch job. Valid values are:
      - NO: the tool is executed directly in the attached IPSF environment and the UI is blocked until the tool has finished executing.
      - Tool Job: the tool is submitted to JES by the attached tool (for example, by the attached REXX procedure)
      - Model Job: the attached tool is submitted to JES by AWM
      Returns:
        the value of the 'Run As Job' attribute.
      See Also:
        `ERunAsJobTypes`, `isSetRunAsJob()`, `unsetRunAsJob()`, `setRunAsJob(ERunAsJobTypes)`, `TaurusPackage.getToolDescriptor_RunAsJob()`

    - #### setRunAsJob

          void setRunAsJob(ERunAsJobTypes value)

      Sets the value of the '`Run As Job`' attribute.
      Parameters:
        `value` - the new value of the 'Run As Job' attribute.
      See Also:
        `ERunAsJobTypes`, `isSetRunAsJob()`, `unsetRunAsJob()`, `getRunAsJob()`

    - #### unsetRunAsJob

          void unsetRunAsJob()

      Unsets the value of the '`Run As Job`' attribute.
      See Also:
        `isSetRunAsJob()`, `getRunAsJob()`, `setRunAsJob(ERunAsJobTypes)`

    - #### isSetRunAsJob

          boolean isSetRunAsJob()

      Returns whether the value of the '`Run As Job`' attribute is set.
      Returns:
        whether the value of the 'Run As Job' attribute is set.
      See Also:
        `unsetRunAsJob()`, `getRunAsJob()`, `setRunAsJob(ERunAsJobTypes)`

    - #### getFileInputParms

          java.util.List<RToolInParameter> getFileInputParms()

      Gets the input parameters of the tool descriptor which have the type 'File'.
      Returns:
        all file input parameters of the tool descriptor.

    - #### getFileOutputParms

          java.util.List<RToolOutParameter> getFileOutputParms()

      Gets the output parameters of the tool descriptor which have the type 'File'.
      Returns:
        all file output parameters of the tool descriptor.

    - #### getStringOutputParms

          java.util.List<RToolOutParameter> getStringOutputParms()

      Gets the output parameters of the tool descriptor which have the type 'String'.
      Returns:
        all string output parameters of the tool descriptor.

    - #### getStringInputParms

          java.util.List<RToolInParameter> getStringInputParms()

      Gets the input parameters of the tool descriptor which have the type 'String'.
      Returns:
        all string input parameters of the tool descriptor.

    - #### getToolTypeExtension

          ToolTypeExtension getToolTypeExtension()

      Gets the `ToolTypeExtension` of the tool descriptor.
      Returns:
        the tool type extension

    - #### clone

          ToolDescriptor clone()

      Clones this tool descriptor.
      Returns:
        a new cloned instance of the tool descriptor.

    - #### getInParmSeparatorWithoutQuotes

          @Deprecated
          java.lang.String getInParmSeparatorWithoutQuotes()

      Deprecated. Parameter separators are no longer general tool descriptor attributes, but should be defined by specific function package tools. Tool executors should use `DynamicObject.getDynamicValue(String)` to obtain the attribute. For removing potential surrounding quotes, use `TaurusMetaModelUtilities.trimAndRemoveQuotes(String)`.
      Gets the input parameter separator without the surrounding double quotes. Leading and trailing space characters are also trimmed.
      Returns:
        the input parameter separator without surrounding double quotes.
      See Also:
        `getInParmSeparator()`

    - #### getOutParmSeparatorWithoutQuotes

          @Deprecated
          java.lang.String getOutParmSeparatorWithoutQuotes()

      Deprecated. Parameter separators are no longer general tool descriptor attributes, but should be defined by specific function package tools. Tool executors should use `DynamicObject.getDynamicValue(String)` to obtain the attribute. For removing potential surrounding quotes, use `TaurusMetaModelUtilities.trimAndRemoveQuotes(String)`.
      Gets the output parameter separator without the surrounding double quotes. Leading and trailing space characters are also trimmed.
      Returns:
        the output parameter separator without surrounding double quotes.
      See Also:
        `getOutParmSeparator()`

Copyright © 2015 Micro Focus GmbH. All rights reserved.